Subject: bug#49278: [External] : bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: Drew Adams <[email-masked]>
Date: Tue, 28 Sep 2021 02:31:51 +0000

> The current text:
> 
>     -  Lisp mode is the major mode for editing programs written in
>     -general-purpose Lisp dialects, such as Common Lisp.

In the Emacs versions I use (26.3) it's even worse.
The text you cite is relatively recent.  The text
for decades (26.3 on back to 20, at least):

  "Major mode for editing lisp code for Lisps
   other than GNU Emacs Lisp."

I'm guessing that was the original intention, but
yes, even in Emacs 20 there are some things that
are commonlispy.  (scheme.el is in Emacs 20, BTW.)

> is just misleading

Agreed.

> The major mode I use for ELisp is called `emacs-lisp-mode`, the major
> mode I use for OCaml is `tuareg-mode`, the major mode I use for C is
> `sm-c-mode`.  The most popular major mode for Perl is arguably
> `cperl-mode`.  It's common for major modes's names to be related yet
> not identical to the language they support.

OK, and?  I guess you're arguing to change the
description but not the name of lisp-mode.  Is
that it?